Name:          java-junit3
Version:       3.8.2
Release:       3mamba
Summary:       Java regression test package
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      gil <puntogil@libero.it>
URL:           http://junit.org/
Source0:       http://downloads.sourceforge.net/sourceforge/junit/junit%{version}.zip
Source1:       java-junit3-3.8.2-build.xml
Source2:       http://repo1.maven.org/maven2/junit/junit/%{version}/junit-%{version}.pom
License:       Common Public License 1.0
BuildRequires: java-gcj-compat
BuildRequires: apache-ant
BuildRequires: jpackage-utils 
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{name} is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
%{name} is Open Source Software, released under the IBM Public License and
hosted on SourceForge.

%package manual
Group:          Documentation
Summary:        Manual for %{name}

%description manual
%{name} is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
%{name} is Open Source Software, released under the IBM Public License and
hosted on SourceForge.

This package contains documentation for %{name}.

%package javadoc
Group:          Documentation
Summary:        Javadoc for %{name}

%description javadoc
%{name} is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
%{name} is Open Source Software, released under the IBM Public License and
hosted on SourceForge.

This package contains javadoc for %{name}.

%package demo
Group:          Development/Libraries
Summary:        Demos for %{name}
Requires:       %{name} = %{version}-%{release}

%description demo
%{name} is a regression testing framework written by Erich Gamma and Kent
Beck. It is used by the developer who implements unit tests in Java.
%{name} is Open Source Software, released under the IBM Public License and
hosted on SourceForge.

This package contains demonstrations and samples for %{name}.

%package gcj
Summary:       GCJ %{name} support
Group:         System/Libraries/Java
BuildRequires: java-gcj-compat
BuildRequires: libgcj4-devel
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      java-gcj-compat
Requires:      jpackage-utils

%description gcj
%{name} - Java regression test package.

This package contains GCJ %{name} support.

%prep

%setup -q -n junit%{version}
%java_home/bin/jar xf src.jar
rm -f src.jar
cp %{S:1} build.xml

%build
export JAVA_HOME=%java_home
ant dist

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d -m 755 %{buildroot}%{_javadir}
install -m 644 junit.jar %{buildroot}%{_javadir}/junit-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

install -d -m 755 %{buildroot}%{_javadocdir}/junit-%{version}
cp -pr javadoc/* %{buildroot}%{_javadocdir}/junit-%{version}

mkdir -p %{buildroot}%{_datadir}/maven2/poms
install -m 644 %{SOURCE2} %{buildroot}%{_datadir}/maven2/poms/JPP-junit.pom
%add_to_maven_depmap junit junit %{version} JPP junit

install -d -m 755 %{buildroot}%{_datadir}/junit/demo/junit
cp -pr junit/* %{buildroot}%{_datadir}/junit/demo/junit

# these --exclude options work around an aot-compile-rpm problem with test.jar
%{_bindir}/aot-compile-rpm --exclude usr/share/junit/demo --exclude usr/share/junit/demo/junit/tests/runner/test.jar

ln -s junit-%{version} %{buildroot}%{_javadocdir}/junit

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/junit-%{version}.jar
%{_javadir}/junit.jar
%{_datadir}/maven2/poms
%{_mavendepmapfragdir}
%doc README.html

%post gcj
/sbin/ldconfig
if [ -x %{_bindir}/rebuild-gcj-db ]; then
   %{_bindir}/rebuild-gcj-db
fi

%postun gcj
/sbin/ldconfig
if [ -x %{_bindir}/rebuild-gcj-db ]; then
   %{_bindir}/rebuild-gcj-db
fi

%files gcj
%defattr(-,root,root)
%{_libdir}/gcj/java-junit3/junit-%{version}.jar.db
%{_libdir}/gcj/java-junit3/junit-%{version}.jar.so

%files manual
%defattr(-,root,root)
%doc doc/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/junit-%{version}
%{_javadocdir}/junit

%files demo
%defattr(-,root,root)
%dir %{_datadir}/junit/demo/junit
%{_datadir}/junit/demo/junit/*

%changelog
* Fri Feb 25 2011 gil <puntogil@libero.it> 3.8.2-3mamba
- rebuilt with java-gcj-compat 1.0.80-20mamba support
- add maven 2 pom

* Fri Jun 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 3.8.2-2mamba
- rebuilt in devel

* Sat Feb 21 2009 gil <puntogil@libero.it> 3.8.2-1mamba
- package created by autospec
